Subject: What does Read-only object mean?

From: Aditya JAIN <[email-masked]>
Date: Tue, 23 Oct 2007 16:24:18 +0530

Hi All,

Could anyone please give the actual definition of "read-only"?
Does it mean that if implemented, the object instance MUST always be present? Or, is it only concerned with the accessibility of the object, disregarding of it's initial instantiation?

What I mean to say is that if I implement a read-only object 'X' on a device, then does this mean that
(I) the object instance must be present since device NMS boot-up? Or
(ii) the object's instantiation can be dependent on some external impulse (like a value in the config file), but whenever that object would exist, it's value cannot be changed by another NMS?

Thanks,
Aditya

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/netconf/>